gnutls_x509_crt_get_tlsfeatures(3)

NAME
gnutls_x509_crt_get_tlsfeatures - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_tlsfeatures(gnutls_x509_crt_t crt, gnutls_x509_tlsfeatures_t features, unsigned int flags, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t crt
    A X.509 certificate

gnutls_x509_tlsfeatures_t features
    If the function succeeds, the features will be stored in this variable.

unsigned int flags
    zero or GNUTLS_EXT_FLAG_APPEND

unsigned int * critical
    the extension status

DESCRIPTION
This function will get the X.509 TLS features extension structure from the certificate. The returned structure needs to be freed using gnutls_x509_tlsfeatures_deinit().

When the flags is set to GNUTLS_EXT_FLAG_APPEND, then if the features structure is empty this function will behave identically as if the flag was not set. Otherwise if there are elements in the features structure then they will be merged with.

Note that features must be initialized prior to calling this function.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/